Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java
Class OriginalFormatSourceFileRecorder

    java.lang.Object
      org.modeshape.sequencer.java.OriginalFormatSourceFileRecorder

All Implemented Interfaces:
  SourceFileRecorder

    public class OriginalFormatSourceFileRecorder

extends Object
implements SourceFileRecorder

A source file recorder that writes the Java metadata from the source file to the repository.

The structural representation of the informations from the compilation unit looks like this:

- java:compilationUnit node of type `java:compilationUnit`
  - java:package - optional child node that represents the package child node of the compilation unit.
    - java:packageDeclaration - the package declaration.
      - java:packageName
      - the package name.
  - java:import - optional child node that represents the import declaration of the compilation unit
    - java:importDeclaration - the import declaration
      - java:singleImport
        - java:singleTypeImportDeclaration
          - java:singleTypeImportkeyword - the keyword "import"
          - java:singleImportName
          - the name of a single import.
    - java:importOnDemand
    - java:typeImportOnDemandDeclaration
      - java:onDemandImportKeyword - the keyword "import"
      - java:onDemandImportName
      - the name of the on demand import.

- java:unitType - optional child node that represents the top level type (class, interface, enum, annotation) declaration of the compilation unit

- java:classDeclaration - optional child node that represents the class declaration of the compilation unit
  - java:normalClass - the normal class.
    - java:normalClassDeclaration - the normal class declaration
      - java:modifier - modifier child node.
        - java:modifierDeclaration - the modifier declaration.
          - java:modifierName - modifier name.
      - java:normalClassName - class name.
      - java:field - field child node.
        - java:fieldType - field type child node.
          - java:type - type child node.
            - [java:primitiveType, java:simpleType, java:parameterizedType] - can be primitive type or simple type and or parameterized type<.
      - java:constructor - the constructor child node
        - java:constructorDeclaration - the constructor declaration.
          - java:constructorName - constructor name.
          - java:modifier - the modifier child node.
          +
          - java:parameter - the parameter child node
      - java:method - method child node.
        - java:methodDeclaration - method declaration.
          - java:methodName - method name.
          - java:modifier - the modifier child node.
          +
          - java:resultType - the result type child node
          +
          - java:parameter - the parameter child node

Constructor Summary
`OriginalFormatSourceFileRecorder()`

Method Summary
`void` | `record(StreamSequencerContext context, SequencerOutput output, JavaMetadata javaMetadata)` Records a source file using the provided `SequencerOutput` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginalFormatSourceFileRecorder

    public OriginalFormatSourceFileRecorder()

Method Detail

### record

    public void record(StreamSequencerContext context,
                       SequencerOutput output,
                       JavaMetadata javaMetadata)

  Description copied from interface: `SourceFileRecorder`
  Records a source file using the provided `SequencerOutput` instance.

  Specified by:
    `record` in interface `SourceFileRecorder`
  Parameters:
    `context` - the sequencer context
    `output` - the `StreamSequencer` output
    `javaMetadata` - the metadata for the Java source file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.